<?php
/**
 * Plugin Name: File Label Express
 * Plugin URI: http://simplicity.online/
 * Description: Handle Interactions with filelabel.co
 * Version: 1.0
 * Author: John Fairfull
 * Author URI: http://simplicity.online/
 * License: LGPL
 */

require_once('models/FLX_Admin.php'); 
require_once('models/Filelabel.php');
if(!class_exists('Parsedown')) {
	require_once('models/Parsedown.php');
}
add_shortcode('filing_systems', ['Filelabel', 'systems']);
add_shortcode('labels', ['Filelabel', 'labels']);
add_shortcode('label_interface', ['Filelabel', 'ui']);
add_action('wp_enqueue_scripts', function(){
	wp_register_style('filelabel_plugin', plugin_dir_url(__FILE__).'assets/css/styles.css');
	wp_enqueue_style('filelabel_plugin');	
});

if($_SERVER['REMOTE_ADDR'] == '71.43.122.154') {
	// echo plugin_dir_url(dirname(__FILE__));
}	

add_action('wp_enqueue_scripts', function(){
    wp_enqueue_script('thickbox', null, array('jquery'));
    wp_enqueue_style('thickbox.css', '/'.WPINC.'/js/thickbox/thickbox.css', null, '1.0');
	wp_enqueue_script('thickbox_action', plugin_dir_url(__FILE__).'assets/js/thickbox.js', array('jquery'));
});